CREATE TABLE exm_preferences (
    PREFERENCE_ID                     NUMBER(18, 0) ,
    MOBILE_PHONE_NUMBER               VARCHAR2(240) ,
    SMS_NOTIFICATIONS_ENABLED_FLAG    VARCHAR2(4)   ,
    COMMUTE_TO_ADDRESS                VARCHAR2(4000),
    COMMUTE_FROM_ADDRESS              VARCHAR2(4000),
    APPROVER_FLAG                     VARCHAR2(4)   ,
    PERSON_ID                         NUMBER(18, 0)     NOT NULL,
    APPROVER_ID                       NUMBER(18, 0) ,
    EXPENSE_TEMPLATE_ID               NUMBER(18, 0) ,
    PURPOSE                           VARCHAR2(960) ,
    SOURCE                            VARCHAR2(120) ,
    LOCATION_ID                       NUMBER(18, 0) ,
    VEHICLE_CATEGORY                  VARCHAR2(120) ,
    VEHICLE_TYPE                      VARCHAR2(120) ,
    FUEL_TYPE                         VARCHAR2(120) ,
    TIME_FORMAT                       VARCHAR2(120) ,
    DEFAULT_EXCHANGE_RATE_FLAG        VARCHAR2(4)   ,
    ENABLE_ALLOCATIONS_FLAG           VARCHAR2(4)   ,
    REPORT_CREATION_CODE              VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    EXPENSE_START_DATE                DATE          ,
    RECEIPT_CURRENCY_CODE             VARCHAR2(60)  ,
    EXCHANGE_RATE                     NUMBER        ,
    EXPENSE_LOCATION                  VARCHAR2(320) ,
    VALIDATE_FLAG                     VARCHAR2(4)   ,
    REIMBURSEMENT_CURRENCY_CODE       VARCHAR2(60)  ,
    LAST_EXP_WORKAREA_VISIT_DATE      TIMESTAMP(6)  ,
    AUTO_SUBMIT_FLAG                  VARCHAR2(4)   ,
    COMMUTE_DISTANCE                  NUMBER        ,
    TERMS_AGREEMENT_DATE              DATE          ,
    ONBOARDING_STATUS_CODE            VARCHAR2(120) ,
    AUTO_SUBMIT_RUN_DAY_CODE          VARCHAR2(120) ,
    PREFERENCE_ID                     NUMBER(18, 0) ,
    PERSON_ID                         NUMBER(18, 0)     NOT NULL,
    APPROVER_ID                       NUMBER(18, 0) ,
    EXPENSE_TEMPLATE_ID               NUMBER(18, 0) ,
    PURPOSE                           VARCHAR2(960) ,
    SOURCE                            VARCHAR2(120) ,
    LOCATION_ID                       NUMBER(18, 0) ,
    VEHICLE_CATEGORY                  VARCHAR2(120) ,
    VEHICLE_TYPE                      VARCHAR2(120) ,
    FUEL_TYPE                         VARCHAR2(120) ,
    TIME_FORMAT                       VARCHAR2(120) ,
    DEFAULT_EXCHANGE_RATE_FLAG        VARCHAR2(4)   ,
    ENABLE_ALLOCATIONS_FLAG           VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    EXPENSE_START_DATE                DATE          ,
    RECEIPT_CURRENCY_CODE             VARCHAR2(60)  ,
    EXCHANGE_RATE                     NUMBER        ,
    EXPENSE_LOCATION                  VARCHAR2(320) ,
    VALIDATE_FLAG                     VARCHAR2(4)   ,
    REIMBURSEMENT_CURRENCY_CODE       VARCHAR2(60)  ,
    REPORT_CREATION_CODE              VARCHAR2(120) ,
    APPROVER_FLAG                     VARCHAR2(4)   ,
    LAST_EXP_WORKAREA_VISIT_DATE      TIMESTAMP(6)  ,
    AUTO_SUBMIT_FLAG                  VARCHAR2(4)   ,
    COMMUTE_DISTANCE                  NUMBER        ,
    TERMS_AGREEMENT_DATE              DATE          ,
    ONBOARDING_STATUS_CODE            VARCHAR2(120) ,
    AUTO_SUBMIT_RUN_DAY_CODE          VARCHAR2(120) ,
    MOBILE_PHONE_NUMBER               VARCHAR2(240) ,
    SMS_NOTIFICATIONS_ENABLED_FLAG    VARCHAR2(4)   ,
    COMMUTE_TO_ADDRESS                VARCHAR2(4000),
    COMMUTE_FROM_ADDRESS              VARCHAR2(4000),
    CONSTRAINT pk_exm_preferences PRIMARY KEY (PREFERENCE_ID, PREFERENCE_ID)
);
